Index: misc/gkrellweather2/files/patch-Makefile
===================================================================
RCS file: /import/FreeBSD-CVS/ports/misc/gkrellweather2/files/patch-Makefile,v
retrieving revision 1.4
diff -u -p -u -r1.4 patch-Makefile
--- misc/gkrellweather2/files/patch-Makefile	1 Mar 2005 23:35:17 -0000	1.4
+++ misc/gkrellweather2/files/patch-Makefile	4 Mar 2005 21:23:04 -0000
@@ -28,3 +28,24 @@
  
  clean:
  	(cd po && ${MAKE} clean )
+ 	rm -f *.o core *.so* *.bak *~
+ 
+ gkrellweather.o: gkrellweather.c
+-	$(CC) $(CFLAGS) -DPREFIX=\"$(PREFIX)\" -DVERSION=\"$(VERSION)\" -c gkrellweather.c
++	$(CC) $(CFLAGS) $(PTHREAD_CFLAGS) -DPREFIX=\"$(PREFIX)\" -DVERSION=\"$(VERSION)\" -c gkrellweather.c
+ 
+ install:
+ 	(cd po && ${MAKE} install )
+-	if [ -d /usr/lib/gkrellm2/plugins/ ] ; then \
+-		install -c -s -m 644 gkrellweather.so /usr/lib/gkrellm2/plugins/ ; \
+-	elif [ -d $(PREFIX)/lib/gkrellm2/plugins/ ] ; then \
+-		install -c -s -m 644 gkrellweather.so $(PREFIX)/lib/gkrellm2/plugins/ ; \
+-	else \
+-		install -D -c -s -m 644 gkrellweather.so $(PREFIX)/lib/gkrellm2/plugins/gkrellweather.so ; \
+-	fi
+-	install -c -m 755 GrabWeather $(PREFIX)/bin
++	${MKDIR} ${PREFIX}/libexec/gkrellm2/plugins
++	${INSTALL_DATA} gkrellweather.so ${PREFIX}/libexec/gkrellm2/plugins
+ 
+ uninstall:
+ 	(cd po && ${MAKE} uninstall )
Index: misc/gkrellweather2/files/patch-gkrellweather.c
===================================================================
RCS file: /import/FreeBSD-CVS/ports/misc/gkrellweather2/files/patch-gkrellweather.c,v
retrieving revision 1.2
diff -u -p -u -r1.2 patch-gkrellweather.c
--- misc/gkrellweather2/files/patch-gkrellweather.c	22 Jul 2003 13:32:52 -0000	1.2
+++ misc/gkrellweather2/files/patch-gkrellweather.c	24 Jul 2003 10:44:38 -0000
@@ -5,7 +5,7 @@
      options.pressure_unit = 1;
      strcpy(options.station, DEFAULT_STATION_ID);
 -    sprintf(options.command, "/usr/share/gkrellm/GrabWeather %s", options.station);
-+    sprintf(options.command, "GrabWeather %s", options.station);
++    sprintf(options.command, PREFIX "/bin/GrabWeather %s", options.station);
      sprintf(options.filename, "%s/.wmWeatherReports/%s.dat",
              getenv("HOME"), options.station);
  }
